local fn = _gn(0xC86D67D52A707CF8)
--- HAS_ENTITY_BEEN_DAMAGED_BY_ENTITY
-- @param entity The entity to check.
-- @param damager The entity that caused the damage.
-- @param bCheckDamagerVehicle If the damager is driving a vehicle then check to see if the entity was damaged by the vehicle.
-- @return Returns true if the entity has been damaged by the specified entity.
function Global.HasEntityBeenDamagedByEntity(entity, damager, bCheckDamagerVehicle)
	return _in2(fn, entity, damager, bCheckDamagerVehicle, _r)
end
